Skip to main content
`Ctrl`+`K`

# DMNetworkGetNumEdges

Get the local and global number of edges for the entire network.

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetNumEdges(DM dm, PeOp PetscInt *nEdges, PeOp PetscInt *NEdges)

Not Collective

## Input Parameter

- dm - the `DMNETWORK` object

## Output Parameters

- nEdges - the local number of edges, pass `NULL` if not needed

- NEdges - the global number of edges, pass `NULL` if not needed

## See Also

`DM`, `DMNETWORK`, `DMNetworkGetNumVertices()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages